Subject: IPP> TES> Prototype Status

From: Peter Zehler <[email-masked]>
Date: Fri, 9 May 1997 11:11:19 PDT

All,
I've noticed that I have a time slot to report on the state of the prototype group at the San Diego meeting.  I've made a few phone calls to try and get some idea of what should be reported.  Everyone I talk to seems to agree.  The status is: "what do you mean?"
The prototype and testing group has nothing to test or prototype until there is a concrete proposal for the object model and protocol.  Everyone I have talked to still intends to build a prototype.  Time estimates would just be a shot in the dark at this time.  The range I got was from 1 to 3 months.
I was curious about the various companies capacity to contribute to any proof of concept or architectural verification work that might be needed by the IPP group.  The lukewarm answers was that we might be able to take on something.  The specific response was a request for clarification of the proof of concept work.

As of yet the TES group has not been asked to do anything specific.  If I have missed something I would like to know about it.  

I have asked some basic questions about the capacity of the TES group to respond to any requests from the other IPP subgroups. 
1) What resources are available to work on proof of concept work?  The answer to this question really depends on the task at hand and the expertise of the people available.  This will have to be answered as issues are passed onto the TES group.
2) What is your capacity to produce a prototype?  I was curious here about how long after the specification of IPP will we be ready to show something.  The answer here depends on where IPP ends up.  The common answer was from 1 to 3 months.  The prototypes range from embedding IPP in a low-end network printer to a gateway to a full blown DPA like print system.

My questions to the group and its chairs:  Is there anything specific you need to know?  Are there any general areas that you need explored?

By the way...the TES group has no open issues at this time.  Then again it has no closed issues either.

Pete